import { TemplateElementDependency } from '@genesislcap/foundation-ui';
import { SyntheticViewTemplate } from '@genesislcap/web-core';
/**
 * TemplateComponents.
 * @public
 */
export type TemplateComponents = {
    icon: TemplateElementDependency;
    button: TemplateElementDependency;
    connectionIndicator: TemplateElementDependency;
    select: TemplateElementDependency;
    option: TemplateElementDependency;
    flyout: TemplateElementDependency;
    provider: TemplateElementDependency;
};
/**
 * TemplateOptions.
 * @public
 */
export type TemplateOptions = Partial<TemplateComponents> & {
    /**
     * @remarks
     * Just for reference that template options may be more than tags.
     * @internal
     */
    somePartial?: string | SyntheticViewTemplate;
};
/**
 * templateOptionsByDesiginSystemPrefix.
 * @remarks
 * The template options by design system prefix.
 * @public
 */
export declare const templateOptionsByDesiginSystemPrefix: Record<string, TemplateComponents>;
/**
 * defaultTemplateOptions.
 * @remarks
 * The default template options this MF has been created with.
 *
 * @deprecated - Use `rapidTemplateOptions` instead.
 *
 * @public
 */
export declare const defaultTemplateOptions: TemplateOptions;
/**
 * rapidTemplateOptions.
 * @remarks
 * The template options for the rapid design system.
 * @public
 */
export declare const rapidTemplateOptions: TemplateOptions;
//# sourceMappingURL=templates.d.ts.map